[Spice-devel,client,v2,09/10] spicy: Temporarily ignore deprecation warnings

Submitted by Francois Gouget on Oct. 19, 2016, 4:07 p.m.

Details

Message ID 94fa015278283f9ea74402f528387a3d809d6658.1476892275.git.fgouget@free.fr
State New
Headers show
Series "Deprecation warning cleanup" ( rev: 4 3 2 ) in Spice

Not browsing as part of any series.

Commit Message

Francois Gouget Oct. 19, 2016, 4:07 p.m.
GtkAction and lots of GtkUI APIs are deprecated.

Signed-off-by: Francois Gouget <fgouget@codeweavers.com>
---
 src/spicy.c | 3 +++
 1 file changed, 3 insertions(+)

Patch hide | download patch | download mbox

diff --git a/src/spicy.c b/src/spicy.c
index c502428..c4a6c7d 100644
--- a/src/spicy.c
+++ b/src/spicy.c
@@ -38,6 +38,9 @@ 
 
 #include "spicy-connect.h"
 
+/* FIXME: GtkAction and lots of GtkUI APIs are deprecated */
+G_GNUC_BEGIN_IGNORE_DEPRECATIONS
+
 typedef struct spice_connection spice_connection;
 
 enum {